%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define major 2
%define gir_major 0.10
%define libname %mklibname gexiv2_ %{major}
%define devname %mklibname -d gexiv2
%define gir_name %mklibname gexiv2-gir %{gir_major}

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.10.1
Release:	3
License:	GPLv2+
Group:		Graphics
Source0:	https://download.gnome.org/sources/gexiv2/%{url_ver}/gexiv2-%{version}.tar.xz
Url:		https://wiki.gnome.org/Projects/gexiv2
BuildRequires:	libtool
BuildRequires:	python-gobject
BuildRequires:	python-gi
BuildRequires:	python3-gobject3
BuildRequires:	python3-gi
BuildRequires:	sed
BuildRequires:	pkgconfig(exiv2) >= 0.21
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(vapigen)

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

#----------------------------------------------------------------------------

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		Graphics
Requires:	%{libname} = %{EVRD}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%files -n %{gir_name}
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A GObject-based wrapper around the Exiv2 library
Group:		Graphics

%description -n %{libname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%files -n %{libname}
%{_libdir}/libgexiv2.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	A GObject-based wrapper around the Exiv2 library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%files -n %{devname}
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/*-%{gir_major}.gir

#----------------------------------------------------------------------------

%package -n gexiv2-python
Summary:	Python2 bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{EVRD}
Requires:	python-gobject
Requires:	python-gi

%description -n gexiv2-python
This package contains the python2 bindings for %{name}.

%files -n gexiv2-python
%{python_sitearch}/gi/overrides/GExiv2.py

#----------------------------------------------------------------------------

%package -n gexiv2-python3
Summary:	Python3 bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{EVRD}
Requires:	python3-gobject3
Requires:	python3-gi

%description -n gexiv2-python3
This package contains the python3 bindings for %{name}.

%files -n gexiv2-python3
%{python3_sitearch}/gi/overrides/GExiv2.*

#----------------------------------------------------------------------------

%prep
%setup -q -n gexiv2-%{version}

%build
%configure2_5x \
	--enable-introspection \
	--enable-tests \
	--enable-static=no
%make

%install
%makeinstall_std


%changelog
* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.10.1-3
+ Revision: 87faf32
- Spec cleanup


